Bug 50122 - C++ program crashes when (re-)throwing an exception
Summary: C++ program crashes when (re-)throwing an exception
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL: http://www.uk.research.att.com/~wfl/g...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-27 00:03 UTC by William Lupton
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 15:38:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
background information and code examples (10.18 KB, text/html)
2001-08-03 22:46 UTC, William Lupton
no flags Details

Description William Lupton 2001-07-27 00:03:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)

Description of problem:
A gcc-2.96-94 C++ program throws an exception and apparently, rather than
being caught as expected, a piece of unrelated code in another module is
executed, followed by a SEGV.

How reproducible:
Always

Steps to Reproduce:
1. At present I cannot reproduce the problem outside my own environment.

Actual Results:  The exception was not caught correctly. Instead, an
unrelated piece of code (from a function that would have been called later
on) was executed, and the program SEGVd.

Expected Results:  The exception should have been caught and execution
should have continued.

Additional info:

See the referenced URL.

Comment 1 Jakub Jelinek 2001-08-03 16:54:34 UTC
The URL in question does not work.
Can you please attach it here (using Create a new attachment)?

Comment 2 William Lupton 2001-08-03 22:46:28 UTC
Created attachment 26171 [details]
background information and code examples

Comment 3 Benjamin Kosnik 2004-10-01 15:38:39 UTC
Closed due to inactivity, lack of test case.



Note You need to log in before you can comment on or make changes to this bug.